Create a complete copy of an existing project
POST /v1/projects/{projectId}/duplicate
Creates a complete duplicate of a project including all services, messaging topics, categories, owners, flows, and their relationships. Useful for creating variations of an architecture, testing changes, or copying to a different environment. Optionally provide a new name for the duplicate; if omitted, uses the same name as the source project.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”An identifier (e.g., my-project-a1b2c)
Request Body
Section titled “Request Body ”Request body for duplicating a project
object
The name for the duplicated project. If not provided, uses the same name as the source project.
Responses
Section titled “ Responses ”The duplicated project
The project
object
An identifier (e.g., my-project-a1b2c)
The name of this project
A description of this project
Whether the project is archived or not
Whether the project is pinned for the member or not
The number of services in this project
Whether the authenticated caller is the creator of this project
The name of the actor (member email or API key name) that created this project
The type of actor (user or API key)
The name of the actor (member email or API key name) that last updated this project or one of its services
The type of actor (user or API key)
The timestamp in UTC that the project was created
The timestamp in UTC that the project or on of its its services was last updated
Validation error
Validation error response with field-level details
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedList of field validation violations
Individual field validation violation
object
The field that failed validation
Example
nameValidation error message for this field
Example
must not be blankThe value that was rejected (optional)
Unauthorized, authentication required
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 charactersSource project not found
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 charactersToo many requests
Rate limit exceeded error response
object
HTTP status code
Example
429Machine-readable error code in snake_case
Error message
Example
Too many requestsNumber of seconds until the client can retry
Example
60Headers
Section titled “Headers ”Number of seconds to wait before retrying
Internal server error
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 characters